<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true">
			<block slot="backText">返回</block>
			<block slot="content">隐患整改</block>
		</cu-custom>
		<view class="top-fixed">
			<view class="cu-bar search bg-white">
				<view class="search-form radius">
					<text class="cuIcon-search"></text>
					<input @input="InputBlur" placeholder="请输入关键字"></input>
				</view>
				<view class="action">
					<button class="cu-btn bg-green shadow-blur radius" @click="getQuery()">搜索</button>
				</view>
			</view>
			<view class="line"></view>
		</view>
			<scroll-view class="dy-scroll" @scrolltolower="scrolltolower" scroll-y :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
				<view v-if="total>0" class="dy-list">
					<view v-for="(item,index) of list" :key="index" :data-id="item.HIDDEN_ID" class="dy-list-item p20" @click="$noMultipleClicks(gotRectify,item.HIDDEN_ID)">
						<view class="dy-title-flex">
							<text v-if="item.HIDDENDESCR">{{item.HIDDENDESCR.length>15?item.HIDDENDESCR.substr(0,15)+'...':item.HIDDENDESCR}}</text>
							<text v-else>暂无</text>
							<text v-if="item.HIDDENLEVEL=='hiddenLevel1001'" class="cu-tag radius bg-yellow light">{{item.HIDDENLEVELNAME}}</text>
							<text v-else-if="item.HIDDENLEVEL=='hiddenLevel1004'" class="cu-tag radius bg-yellow light">{{item.HIDDENLEVELNAME}}</text>
							<text v-else-if="item.HIDDENLEVEL=='hiddenLevel1002'" class="cu-tag radius bg-yellow light">{{item.HIDDENLEVELNAME}}</text>
							<text v-else-if="item.HIDDENLEVEL=='hiddenLevel2001'" class="cu-tag radius bg-red light">{{item.HIDDENLEVELNAME}}</text>
							<text v-else-if="item.HIDDENLEVEL=='hiddenLevel2002'" class="cu-tag radius bg-red light">{{item.HIDDENLEVELNAME}}</text>
						</view>
						<view class="dy-subtitle">
							<text v-if="item.SOURCE=='1'">来源：隐患快报</text>
							<text v-else-if="item.SOURCE=='2'">来源：清单排查</text>
							<text v-else-if="item.SOURCE=='3'">来源：清单排查</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>隐患发现人：{{item.findUserNames?item.findUserNames:'暂无'}}</text>
							<text>隐患发现时间：{{item.DISCOVERYTIME? formatDate(item.DISCOVERYTIME):'暂无'}}</text>
						</view>
						<view class="dy-subtitle-flex" style="height: 34upx;">
							<text>隐患确认人：{{item.confirmUserName?item.confirmUserName:'暂无'}}</text>
							<text>隐患确认时间：{{item.CONFIRM_TIME? formatDate(item.CONFIRM_TIME):'暂无'}}</text>
						</view>
						<view class="dy-subtitle-flex" style="height: 34upx;">
							<text>隐患状态：待整改</text>
              <view>
                <button class="cu-btn bg-blue margin-tb-sm sm" @click="$noMultipleClicks(gotRectify,item.HIDDEN_ID )">整改</button>
                <button class="cu-btn bg-blue margin-tb-sm sm" style="margin-left: 10upx" @click="$noMultipleClicks(gotRectifyGoDelayed,item.HIDDEN_ID )">延期申请</button>
              </view>
						</view>
					</view>
				</view>
				<view v-else-if="dataFlag=='noData'" class="dy-null">
				    <view class="dy-null-img">
						<image src="../../../../static/null.png" mode=""></image>
				    </view>
				    <view class="dy-null-title">
						暂无数据
				    </view>
				</view>
				<view class="cu-tabbar-height"></view>
			</scroll-view>
	</view>
</template>

<script>
	import {
		basePath,deptId,loginUserId,loginSession,loginUser,corpinfoId,formatDate
	} from '@/common/tool.js';
	export default {
		data() {
			return {
				sTop:0,
				totalHeight:0,
				scrollLeft: 0,
				tabNav: ['未提交', '待整改', '待复查', '已复查', '已验收', '已超期'],
				page: 1,
				rows: 10,
				totalCount:0,
				isEnd: false,
				total:0,
				varList:[],
				noClick:true,
				dataFlag:'noData',
				list:[],
				initflag:false,
				name:'',
				isIndex:0
			}
		},
		onLoad() {
			loginSession();
		},
		onReady() {
			let that=this;
			let CustomBar = this.CustomBar;
			uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
				success(res) { //成功回调函数
					let titleH=uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
					titleH.boundingClientRect(data=>{
						that._data.sTop=data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
						that.totalHeight = data.height+CustomBar
					}).exec()
				}
			})
		},
		onShow(){
      this.getlist();
			var _this = this;

			if(_this.initflag){
				_this.initflag = false;
				_this.getQuery()
			}
		},
		methods: {
			getData() {
				var _this = this;
					if (_this.isEnd) {
						return
					}
					uni.showLoading({
						title: '请稍候'
					});
					let DISPOSESTATE = 2;
					uni.request({
						url:basePath + '/app/hidden/list',
						method: 'POST',
						dataType: 'json',
						header:{
							'Content-type':'application/x-www-form-urlencoded'
						},
						data: {
							tm:new Date().getTime(),
							// STATE:-1,
							DISPOSESTATE:2,
							showCount:_this.rows,
							currentPage:_this.page,
							totalResult:_this.total,
							USERDEPT:loginUser.DEPARTMENT_ID,
							SELFUSERID:loginUserId,
							isIndex:_this.isIndex,
							/* SELF_USER_ID:loginUserId, */
							CORPINFO_ID:corpinfoId,
							HIDDENDESCR:_this.name
						},
						success: (res) => {
							// console.info(res.data);
							if (res.data.result == 'success') {
								uni.hideLoading();
								_this.total = res.data.page.totalResult;
								if (_this.totalCount < res.data.page.totalResult) {
									var content = res.data.varList;
									_this.list = _this.list.concat(content);
									_this.page++;
									_this.totalCount += content.length;
								} else {
									_this.isEnd = true
								}

							} else {
								uni.showToast({
									title: res.data.message,
									duration: 2000
								});
							}
						}
					});

			},
			getQuery(){
				var _this = this;
				_this.page = 1;
				_this.isEnd = false;
				_this.totalCount = 0;
				_this.total =0;
				_this.list = [];
				_this.getData()
			},
			getlist() {
				var _this = this;
				_this.page = 1;
				_this.isEnd = false;
				_this.totalCount = 0;
				_this.total =0;
				_this.list = [];
				_this.getData()
			},
			tabSelect(e) {
				this.TabCur = e.currentTarget.dataset.id;
				this.scrollLeft = (e.currentTarget.dataset.id - 1) * 60;
				this.getQuery();
			},
			InputBlur(e){
				this.name = e.detail.value
			},
			//跳转事件
			gotRectify(e) {
				uni.navigateTo({
					url: '/pages/application/hidden-danger-management/hidden-danger-rectification/hidden-danger-rectification-change-detail?id='+e ,
				});
			},
			//跳转事件
			gotReview(e) {
				uni.navigateTo({
					url: '/pages/works/hidden-danger/hidden-danger-review?id='+e,
				});
			},
			//跳转事件
			gotCheck(e) {
				uni.navigateTo({
					url: '/pages/works/hidden-danger/hidden-danger-check?id='+e,
				});
			},
			//跳转事件
			gotDetail(e) {
				uni.navigateTo({
					url: '/pages/works/hidden-danger/hidden-danger-details?id='+e,
				});
			},
			scrolltolower(){
				this.getData();
			},
			formatDate(time) {
				let date = new Date(time)
				return formatDate(date, 'yyyy-MM-dd')
			},
			//跳转事件
			gotRectifyGoDelayed(e) {
				uni.navigateTo({
					url: '/pages/application/hidden-danger-management/hidden-danger-no-change/hidden-danger-no-delayed-detail?id='+e,
				});
			},
		}
	}
</script>

<style>

</style>
